#ifndef __misc_h__
#define __misc_h__

#include <stdio.h>
#include <sys/types.h>

struct iphdr
{
#if __BYTE_ORDER == __LITTLE_ENDIAN
    	u_int32_t ihl:4;
        u_int32_t version:4;
#elif __BYTE_ORDER == __BIG_ENDIAN
    	u_int32_t version:4;
        u_int32_t ihl:4;
#else
# error	"Please fix <bits/endian.h>"
#endif
    	u_int8_t tos;
        u_int16_t tot_len;
        u_int16_t id;
        u_int16_t frag_off;
#ifndef IP_RF
#define IP_RF 0x8000
#endif
#ifndef IP_DF 
#define IP_DF 0x4000
#endif
#ifndef IP_MF
#define IP_MF 0x2000
#endif
#ifndef IP_OFFMASK
#define IP_OFFMASK 0x1fff
#endif
        u_int8_t ttl;
        u_int8_t protocol;
        u_int16_t check;
        u_int32_t saddr;
        u_int32_t daddr;
    /* The options start here. */
};

int findOffset(char *, int, int);

#endif



